/*
 * sdb.h
 * type and funciton definitions for service database
 */

typedef struct svcid {
    char *svc_name;
    char *svc_cmd;
    int svc_owner;
    int svc_uid;
    int svc_gid;
    struct svcid *svc_next;
} svcid_t;

extern svcid_t *SVCS[];

extern int svc_register(svcid_t *);
extern int svc_unregister(char *name);
extern svcid_t *svc_get(char *name);
extern svcid_t *svc_list();
